#!/usr/bin/python
# -*- coding: utf-8 -*-
#
#    Copyright (C) 2009 Saeed Rasooli <saeed.gnu@gmail.com> (ilius)
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 3 of the License,  or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful, 
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License along
#    with this program. If not, see <http://www.gnu.org/licenses/gpl.txt>.
#    Or on Debian systems, from /usr/share/common-licenses/GPL

import os

srcDir = os.path.dirname(__file__)
rootDir = os.path.dirname(srcDir)
pixDir = os.path.join(rootDir, 'pixmaps')
plugDir = os.path.join(rootDir, 'plugins')

if os.sep=='/':## Unix-like OS
  homeDir = os.getenv('HOME')
  confDir = homeDir + '/.starcal'
  #tmpDir  = '/tmp'
  #user    = os.getenv('USER')
elif os.sep=='\\':## Dos/Windows OS
  homeDir = 'C:'+os.getenv('HOMEPATH')
  confDir = os.getenv('APPDATA') + '\\starcal'
  #tmpDir  = os.getenv('TEMP')
  #user    = os.getenv('USERNAME')
else:
  raise RuntimeError('bad seperator (os.sep=="%s") !! What is your Operating System?!'%os.sep)


modDir = '%s/cal_modules'%srcDir
plugDirUser = os.path.join(confDir, 'plugins')

