#!/usr/bin/python
from math import floor
ifloor = lambda x: int(floor(x))

name = 'julian'
desc = 'Julian'
monthName = ('January','February','March','April','May','June','July','August','September','October','November','December')

getMonthName = lambda m, y: monthName.__getitem__(m-1)
getMonthsInYear = lambda y: 12

minMonthLen = 28
maxMonthLen = 32

options = ()

def save():
  pass

def kal_s(m, p):
 if m==13:
   return 365
 else:
   t = (0, 31, 59, 90, 120, 151, 181, 212, 243, 273, 304, 334)
   ## (31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30)
   #m = (m-1)%12 + 1 ## for stability reasons
   b = t[m-1]
   if m<3:
     b -= p
   return b

def to_jd(y, m, d):
  (p1, p2) = divmod(y, 4)
  return ifloor(d + kal_s(m, int(p2==0)) + 1461*p1 + 365*p2 + 1721058)

def jd_to(jd):
  assert type(jd)==int
  ##wjd = ifloor(jd - 0.5) + 1
  (p1, q1) = divmod(jd-1721058, 1461)
  #if q1==0:## ??????????????????
  #  return (4*p1, 1, 1)
  #else:
  if True:
    (p2, q2) = divmod(q1-1, 365)
    y = 4*p1 + p2;
    q = int(y%4==0)
    m = 1;
    while m<12 and q2+1 > kal_s(m+1, q):
      m += 1
    d = q2 + 1 - kal_s(m, q)
    return (y, m, d)

def getMonthLen(y, m):
  if m==12:
    return to_jd(y+1, 1, 1) - to_jd(y, 12, 1)
  else:
    return to_jd(y, m+1, 1) - to_jd(y, m, 1)
    


